Summary:	An outline font editor
Summary(pl.UTF-8):	Edytor fontów rysowanych
Name:		fontforge
Version:	20120731
Release:	4
License:	BSD
Group:		X11/Applications/Publishing
Source0:	http://downloads.sourceforge.net/fontforge/%{name}_full-%{version}-b.tar.bz2
# Source0-md5:	a8a90473a97da87e45f66d11007b6e7c
Patch0:		%{name}-link.patch
Patch1:		%{name}-20090224-pythondl.patch
URL:		http://fontforge.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.2
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libspiro-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libuninameslist-devel
BuildRequires:	libxml2-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.3
BuildRequires:	python-modules >= 2.3
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	zlib-devel
Requires:	cairo >= 1.2
Requires:	iconv
Obsoletes:	pfaedit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FontForge allows you to edit outline and bitmap fonts. You can create
new ones or modify old ones. It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, OpenType (Type2) and CID-keyed fonts.

FontForge used to be called PfaEdit.

%description -l pl.UTF-8
FontForge pozwala na edycję fontów rysowanych i bitmapowych. Można
tworzyć nowe lub modyfikować istniejące. Jest to także konwerter
między formatami fontów - potrafi obsługiwać fonty postscriptowe
(ASCII i binarne Type 1, część Type 3, część Type 0), TrueType,
OpenType (Type2) i fonty z kluczami CID.

FontForge wcześniej nazywał się PfaEdit.

%package devel
Summary:	Header files for FontForge libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek FontForge
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.2
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0.0
Requires:	giflib-devel
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libspiro-devel
Requires:	libtiff-devel
Requires:	libuninameslist-devel
Requires:	libxml2-devel
Requires:	pango-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXi-devel
Requires:	zlib-devel

%description devel
Header files for FontForge libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek FontForge.

%prep
%setup -q -n %{name}-%{version}-b
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-type3 \
	--enable-multilayer \
	--enable-devicetables \
	--enable-longdouble \
	--enable-gb12345 \
	--enable-pasteafter \
	--enable-tilepath \
	--enable-pyextension \
	--with-freetype-bytecode \
	--with-regular-link \
	--without-freetype-src \
	--with-pango \
	--with-cairo \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang FontForge

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f FontForge.lang
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README-Unix.html
%attr(755,root,root) %{_bindir}/fontforge
%attr(755,root,root) %{_bindir}/fontimage
%attr(755,root,root) %{_bindir}/fontlint
%attr(755,root,root) %{_bindir}/sfddiff
%attr(755,root,root) %{_libdir}/libfontforge.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfontforge.so.1
%attr(755,root,root) %{_libdir}/libgdraw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdraw.so.4
%attr(755,root,root) %{_libdir}/libgioftp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgioftp.so.1
%attr(755,root,root) %{_libdir}/libgunicode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgunicode.so.3
%attr(755,root,root) %{_libdir}/libgutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgutils.so.1
%{_datadir}/fontforge
%{_mandir}/man1/fontforge.1*
%{_mandir}/man1/fontimage.1*
%{_mandir}/man1/fontlint.1*
%{_mandir}/man1/sfddiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfontforge.so
%attr(755,root,root) %{_libdir}/libgdraw.so
%attr(755,root,root) %{_libdir}/libgioftp.so
%attr(755,root,root) %{_libdir}/libgunicode.so
%attr(755,root,root) %{_libdir}/libgutils.so
%{_libdir}/libfontforge.la
%{_libdir}/libgdraw.la
%{_libdir}/libgioftp.la
%{_libdir}/libgunicode.la
%{_libdir}/libgutils.la
%{_includedir}/fontforge
%{_pkgconfigdir}/fontforge.pc
%changelog
* Sat Nov 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fontforge.git;a=log;h=master

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 00dc509
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fc3519d
- release 3 (by relup.sh)

* Wed Aug 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d8ede3
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c40b848
- enhanced link patch to avoid unnecessary libxkbui requirement for XkbQueryExtension (which is in libX11)
- when using regular-link, devel package has some (well, many in fact) dependencies

* Wed Aug 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fce6f6
- up to 20120731

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 31c8927
- rel 7; png 1.5 and some other fixes from debian

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 545fac3
- release 6

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 753f193
- release 5

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b217212
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c20daa3
- release 3

* Tue Sep 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d11b5b
- rel 2; enable more stuff; patches from fedora

* Wed Aug 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 64bd757
- up to 20110222

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 8d48b7d
- release 2

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 1d1af2f
- BR: libspiro-devel

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> c4422ab
- added link patch to reduce linking with X libs and libpython

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 16b7cb8
- added -devel package
- BR: cairo-devel pango-devel

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> 25a2d51
- rel 1

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> b5d6b8b
- fix building with python 2.7

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> 07aec0e
- 20100501

* Sat Jul 17 2010 shadzik <shadzik@pld-linux.org> 931b4a3
- rel 7

